# $Revision: 1.10 $, $Date: 2006/10/21 09:02:35 $
%include	/usr/lib/rpm/macros.perl
%define		pnam	VCP-Dest-svk
Summary:	svk destination driver
Summary(pl):	Sterownik celu svk
Name:		perl-VCP-Dest-svk
Version:	0.29
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/C/CL/CLKAO/%{pnam}-%{version}.tar.gz
# Source0-md5:	c4b3fb8f9bb159d6e3010ae86cae54e1
BuildRequires:	perl-SVK >= 0.20
BuildRequires:	perl-VCP >= 0.9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
svk destination driver.

%description -l pl
Sterownik celu svk.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/VCP/Dest
%{perl_vendorlib}/VCP/Dest/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-VCP-Dest-svk.spec,v $
Revision 1.10  2006/10/21 09:02:35  ankry
- fixed previous breakage

Revision 1.9  2006/10/21 08:31:44  ankry
- ver. 0.29

Revision 1.8  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.7  2004/12/12 10:35:16  adamg
- updated to 0.28

Revision 1.6  2004/12/01 10:34:04  radek
- standarized Source0 URL

Revision 1.5  2004/11/03 22:30:53  paladine
- formatting

Revision 1.4  2004/08/22 09:37:41  adamg
- updated to 0.24

Revision 1.3  2004/06/17 21:35:48  qboosh
- pl(?)

Revision 1.2  2004/06/13 21:56:47  ankry
- text file: don't use distfiles

Revision 1.1  2004/06/13 21:30:57  arekm
- new
